#!/bin/bash

. ./hosts.sh
cd $scriptPath
./collect_dmidecode.sh Before_init
./collect_lsblk.sh Before_init
./collect_ceastor_info.sh Before_init
./collect_network_card.sh Before_init

echo "start SPC-1 test"
echo "---INIT---"
cd $generatorPath
./${spcBin} -master $hstFile -storage $asuFile -run SPC1_INIT -iops 50000
echo "---VERIFY---"
./${spcBin}  -storage $asuFile -run SPC1_VERIFY -iops 100
echo "---METRICS---"
./${spcBin} -master $hstFile -storage $asuFile -run SPC1_METRICS -iops 10000000
echo "---VERIFY---"
./${spcBin} -storage $asuFile -run SPC1_VERIFY -iops 100
echo "---PERSIST_1---"
./${spcBin} -master $hstFile -storage $asuFile  -run SPC1_PERSIST_1 -iops 1700000

echo "press Enter to power cycle TSC storage node"
cd $scriptPath
read
#restart all storage node and client node and collect the related data
./collect_before_restart.sh
