#!/bin/bash


. ./hosts.sh
#collect boot info before power cycle of TSC
echo "ceastor server"
for cluster_node in ${clusterHosts[*]}; do
        echo "-----------$cluster_node after restart----------------" >> ./restart_info/node_${cluster_node}_after_restart_info.txt
        ssh root@$cluster_node "date  +%Y-%m-%d-%H:%M:%s.%N; last reboot;date  +%Y-%m-%d-%H:%M:%s.%N;" >> ./restart_info/node_${cluster_node}_after_restart_info.txt
done
echo "ceastor client"
for host_node in ${ManageClientHost[*]}; do
        echo "-----------$host_node after restart----------------" >> ./restart_info/node_${host_node}_after_restart_info.txt
	ssh root@$host_node "date  +%Y-%m-%d-%H:%M:%s.%N;last reboot; date  +%Y-%m-%d-%H:%M:%s.%N;" >>   ./restart_info/node_${host_node}_after_restart_info.txt
done

